Skip to main content
GET
/
v1
/
environments
/
{environmentId}
/
logs
Get logs
curl --request GET \
  --url https://api.alpic.ai/v1/environments/{environmentId}/logs \
  --header 'Authorization: Bearer <token>'
{
  "logs": [
    {
      "timestamp": "2023-11-07T05:31:56Z",
      "type": "START",
      "requestId": "<string>",
      "content": "<string>",
      "method": "<string>",
      "durationInMs": 123
    }
  ],
  "nextToken": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.

Path Parameters

environmentId
string
required

The ID of the environment

Query Parameters

since
string

Start time — ISO 8601 (2024-01-01T00:00:00Z) or relative (1h, 30m, 2d)

until
string

End time — ISO 8601 or relative

limit
integer
default:1000

Maximum number of log entries to return.

Required range: 1 <= x <= 1000
level
enum<string>[]

Filter by log level

Available options:
INFO,
ERROR,
WARNING,
DEBUG

Filter pattern to search for in log content

nextToken
string

Pagination token from a previous response

Response

The logs

logs
object[]
required
nextToken
string | null
required